class WpscanTasks < Thor
  include Rails.application.config.dradis.thor_helper_module

  namespace "dradis:plugins:wpscan"

  desc      "upload FILE", "upload WPScan results in JSON format"
  long_desc "This plugin expects a JSON file generated by WPScan using: -f "\
            "json -o results.json"
  def upload(file_path)
    require 'config/environment'

    unless File.exists?(file_path)
      $stderr.puts "** the file [#{file_path}] does not exist"
      exit(-1)
    end

    detect_and_set_project_scope

    importer = Dradis::Plugins::Wpscan::Importer.new(task_options)
    importer.import(file: file_path)
  end

end
